<?
include_once("./_common.php");
include_once("$g4[path]/head.sub.php");

//cart config
include_once("$g4[path]/skin/cart/basic/config/cart_config.php");
//$cart_order = "g4_cart_order";
//$m_table = "g4_write_shopping";

$bo_table = "shopping";


//상단, 좌측
include_once("./_head.php");


//불러올 장바구니스킨경로
$cart_skin_path  =  "$g4[path]/skin/cart/basic";

//삭제인경우
if($del)
{
    unset($_SESSION['cart'][$del]);
    $url  = "./cart.php";
    echo "<script language='JavaScript'> location.replace('$url'); </script>";

}


// 변수값
@$m_id = $_POST['m_id'];

//주문결재
if($_POST['order']){
    $order= $_POST['order'];
}


//값이 넘어왔을경우
if($m_id)
{
    if(!isset($_SESSION['cart']))
    {
        $_SESSION['cart'] = array();
        $_SESSION['items'] = 0;
        $_SESSION['total_price'] ='0';

    }

    if(isset($_SESSION['cart'][$m_id]))
        $_SESSION['cart'][$m_id]++;
    else
        $_SESSION['cart'][$m_id] = 1;

    $_SESSION['total_price'] = sum_price($m_cart = $_SESSION['cart'],$m_table = $m_table);
    $_SESSION['items']       = sum_qt($_SESSION['cart']);
}

if(isset($_POST['save']))
{
    foreach ($_SESSION['cart'] as $isbn => $qty)
    {
        if($_POST[$isbn]=='0')
            unset($_SESSION['cart'][$isbn]);
        else
            $_SESSION['cart'][$isbn] = $_POST[$isbn];
    }
    $_SESSION['total_price'] = sum_price($m_cart = $_SESSION['cart'],$m_table = $m_table);
    $_SESSION['items']       = sum_qt($_SESSION['cart']);
}



//디자인 스킨 출력
switch($order)
{
	case 'order':

		////////////////////////////order//////////////////////////////

    //회원이라면
    if($member[mb_id]){


        //장바구니를 새로담는다면
        if($_SESSION['cart']&&array_count_values($_SESSION['cart']))

        {

            //이전 미결재자료가 있다면 초기화 시키고 새로 등록시킴.

            $order_mct    = " where mb_id = '$member[mb_id]' ";
            $order_mct   .= " and ne_1 = '1' ";  // 1 이면 대기목록.
            $order_data   = sql_query(" select * from $cart_order $order_mct ");
            $order_count  = mysql_num_rows($order_data);

            //기존 대기목록이 있는경우 초기화 시킴
            if($order_count){
                // 미결재자료 초기화, 결재완료 자료는 남김  , wr_1 = end , 결재완료자료
                sql_query(" delete from $cart_order $order_mct ");
            }


            // 적립된 가상바구니
            $cart = $_SESSION['cart'];
            foreach ($cart as $isbn => $qty)
            {
                //$cart_row = sql_fetch("select * from $m_table where wr_id='$isbn'");

                $wr_subject = $isbn; //주문상품
                $wr_content = $qty;  //주문수량
                $ne_1       = 1;     //결재대기상태

				//주문상품의 등록자
				$writer_row = sql_fetch("select mb_id from $m_table where wr_id='$isbn'");

				$ne_2       = $writer_row[mb_id];  // 주문자 정보

                // 주문정보에 업데이트한다.
                $sql = " insert into $cart_order
                set order_datetime = '$g4[time_ymdhis]',
                order_code = 'order_code',
                wr_subject = '$isbn',
                wr_content = '$wr_content',
                mb_id      = '$member[mb_id]',
                ne_1       = '$ne_1',  
                ne_2       = '$ne_2',
                ne_3       = '$ne_3',
                ne_4       = '$ne_4',
                ne_5       = '$ne_5',
                ne_6       = '$ne_6',
                ne_7       = '$ne_7',
                ne_8       = '$ne_8',
                ne_9       = '$ne_9',
                ne_10      = '$ne_10' ";

                sql_query($sql);

                //주문대기에 자료가 남았으므로, 가상바구니자료는 초기화 시킨다.
                unset($_SESSION['cart'][$isbn]);
            }

            //갱신된 주문대기 목록을 불러옴
        }

        $order_mct    = " where mb_id = '$member[mb_id]' ";
        $order_mct   .= " and ne_1 = '1' ";  // 1 이면 대기목록.
        $result       = sql_query(" select * from $cart_order $order_mct ");
        $order_count  = mysql_num_rows($result);

        include_once("$cart_skin_path/{$order}.skin.php");

    }
    else{
        //비회원 또는 로그인을 하지 않은경우
        include_once("$cart_skin_path/login.skin.php");

    }

        include_once("./_tail.php");


		////////////////////////////order//////////////////////////////


	break;

	case 'my_order':

        $order_mct    = " where mb_id = '$member[mb_id]' ";
        //$order_mct   .= " and ne_1 = '1' ";  // 1 이면 대기목록.
        $result       = sql_query(" select * from $cart_order $order_mct ");
        $order_count  = mysql_num_rows($result);

        include_once("$cart_skin_path/{$order}.skin.php");

        include_once("./_tail.php");

	break;

	case 'category':

		//접속권한


		//$cart_table[cart_category] = "g4_cart_category"; // 카테고리 테이블


           //////////////////////////////////////////////////////////

          //페이지 구현
           $sql = " select count(*) as cnt from {$cart_table[cart_category]} ";
           $row = sql_fetch($sql);
           $total_count = $row[cnt];

           $rows =  20;
           $total_page  = ceil($total_count / $rows);  // 전체 페이지 계산
           if (!$page) $page = 1; // 페이지가 없으면 첫 페이지 (1 페이지)
           $from_record = ($page - 1) * $rows; // 시작 열을 구함
  



           $h_sql        = " select * from {$cart_table[cart_category]} order by wr_num,wr_reply, ne_8, wr_id desc limit $from_record, $rows ";
           $h_result     = sql_query($h_sql);
           $h_count      = mysql_num_rows($h_result);

           $write_pages = get_paging($h_result, $page, $total_page, "?order=category&page=");
          ////////////////////////////////////////////////////////////


         include_once("$cart_skin_path/{$order}.skin.php");

        include_once("./_tail.php");

	break;

	case 'order_creat':
        include_once("$cart_skin_path/{$order}.skin.php");

        include_once("./_tail.php");

	break;
    
	//주문폼 완성후 결재페이지 이동
	case 'cash_order':
		;
	break;

	default:
    // 장바구니 기본스킨
    //장바구니스킨을 불러옴
    include_once("$cart_skin_path/cart.skin.php");

    include_once("./_tail.php");

	break;
}



include_once("./_tail.php");

?>





